## gamescope 3.11.39

=== debian/changelog ===
gamescope (3.11.39-1) unstable; urgency=medium

  * New upstream version 3.11.39

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 22 Aug 2022 11:38:53 +0200

gamescope (3.11.32-2) unstable; urgency=medium

  * Fix debian/watch

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 05 Aug 2022 10:28:35 +0200

gamescope (3.11.32-1) unstable; urgency=medium

  * Initial release. (Closes: #989085)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 25 Jul 2022 13:48:23 +0200

=== debian/watch ===
version=4
https://github.com/Plagman/gamescope/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## gamescope 3.11.45

=== debian/changelog ===
gamescope (3.11.45-1) unstable; urgency=medium

  * New upstream version 3.11.45

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 25 Sep 2022 21:13:51 +0200

## gamescope 3.11.49

=== meson_options.txt ===
option('pipewire', type: 'feature', description: 'Screen capture via PipeWire')

=== debian/changelog ===
gamescope (3.11.49-1) unstable; urgency=medium

  * New upstream version 3.11.49

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 22 Jan 2023 15:42:36 +0100

=== debian/control ===
Source: gamescope
Section: games
Priority: optional
Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson,
 pkg-config,
 libx11-dev,
 libxdamage-dev,
 libxcomposite-dev,
 libxrender-dev,
 libxext-dev,
 libxfixes-dev,
 libxxf86vm-dev,
 libxtst-dev,
 libxres-dev,
 libdrm-dev,
 libvulkan-dev,
 libwayland-dev,
 wayland-protocols,
 libxkbcommon-dev,
 libcap-dev,
 libsdl2-dev,
 libpipewire-0.3-dev,
 libstb-dev,
 libwlroots-dev,
 libliftoff-dev,
 glslang-tools,
Standards-Version: 4.6.1
Homepage: https://github.com/Plagman/gamescope
Vcs-Browser: https://salsa.debian.org/games-team/gamescope
Vcs-Git: https://salsa.debian.org/games-team/gamescope.git

Package: gamescope
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 xwayland,
Suggests:
 libcap2-bin,
Description: Micro-compositor for game scaling
 Gamescope wraps your games to give them scaling and fullscreen options. It
 provides a Wayland compositor to your games, but gamescope runs under both
 Wayland and X.org.
 .
 Your game sees a virtual display at the resolution you specified. You see a
 scaled view in a window or fullscreen. This is useful when either the game or
 your system do not permit running the game at native window/screen sizes. You
 can also use integer scaling to keep your pixels sharp and pixelated.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir /usr/games

=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s%(\d[\d.]*)%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/Plagman/gamescope/tags?per_page=100 \
https://api.github.com/repos/Plagman/gamescope/tarball/refs/tags/(\d[\d.]*)

## gamescope 3.11.51

=== debian/changelog ===
gamescope (3.11.51-2) unstable; urgency=medium

  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 06 Aug 2023 11:38:08 +0200

gamescope (3.11.51-1) experimental; urgency=medium

  * New upstream version 3.11.51
  * Update to new upstream URL
  * Upload to experimental due to wlroots 0.16.0
  * Fix compilation with GCC-13 (Closes: #1037668)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 21 Jul 2023 00:19:19 +0200

=== debian/control ===
--- 
+++ 
@@ -17,19 +17,22 @@
  libxxf86vm-dev,
  libxtst-dev,
  libxres-dev,
+ libxcb1-dev,
  libdrm-dev,
  libvulkan-dev,
  libwayland-dev,
+ libpipewire-0.3-dev,
  wayland-protocols,
  libxkbcommon-dev,
  libcap-dev,
  libsdl2-dev,
- libpipewire-0.3-dev,
  libstb-dev,
  libwlroots-dev,
  libliftoff-dev,
  glslang-tools,
-Standards-Version: 4.6.1
+ hwdata,
+ vkroots-headers,
+Standards-Version: 4.6.2
 Homepage: https://github.com/Plagman/gamescope
 Vcs-Browser: https://salsa.debian.org/games-team/gamescope
 Vcs-Git: https://salsa.debian.org/games-team/gamescope.git

## gamescope 3.12.3

=== meson_options.txt ===
option('pipewire', type: 'feature', description: 'Screen capture via PipeWire')
option('enable_gamescope',           type : 'boolean', value : true, description: 'Build Gamescope executable')
option('enable_gamescope_wsi_layer', type : 'boolean', value : true, description: 'Build Gamescope layer')
option('enable_openvr_support',      type : 'boolean', value : true, description: 'OpenVR Integrations')

=== debian/changelog ===
gamescope (3.12.3-1) unstable; urgency=medium

  [ Safir Secerovic ]
  * New upstream version 3.12.3
  * Added libopenvr-dev, libglm-dev, libxmu-dev,
    libdisplay-info-dev, libbenchmark-dev
    to the build dependencies list
  * Changed package Section from games to contrib/games
    due to new libopenvr-dev build dependency in contrib

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 23 Aug 2023 12:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gamescope
-Section: games
+Section: contrib/games
 Priority: optional
 Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
-Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
+Uploaders: Stephan Lachnit <stephanlachnit@debian.org>,
+           Safir Secerovic <sapphire@linux.org.ba>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -32,6 +33,11 @@
  glslang-tools,
  hwdata,
  vkroots-headers,
+ libopenvr-dev,
+ libglm-dev,
+ libxmu-dev,
+ libdisplay-info-dev,
+ libbenchmark-dev,
 Standards-Version: 4.6.2
 Homepage: https://github.com/Plagman/gamescope
 Vcs-Browser: https://salsa.debian.org/games-team/gamescope

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--bindir /usr/games
+		--bindir /usr/games \
+		-Dpipewire=enabled

## gamescope 3.12.5

=== debian/changelog ===
gamescope (3.12.5-1) unstable; urgency=medium

  * New upstream version 3.12.5

 -- Safir Secerovic <sapphire@linux.org.ba>  Tue, 26 Sep 2023 13:28:16 -0600

## gamescope 3.15.3

=== debian/changelog ===
gamescope (3.15.3-1) experimental; urgency=medium

  * New upstream version 3.15.3
  * Upload to experimental due to libwlroots-0.18-dev (>= 0.18.0)
    being in experimental
  * Rebased 0001_remove-forcefallback.patch,
            0002_remove-forced-versions.patch
  * Added spirv-headers to the build-deps
  * Added 0004_use_system_spirv_headers.patch
  * Added 0005_add_reshade_696b14c.patch,
          0006_use_system_wlroots-0.18-headers.patch,
          0007_fix_build.patch
  * Added versioned build dependencies for:
    - libwlroots-0.18-dev (>= 0.18.0)
    - vkroots-headers (= 0~202404300106git5106d8a)
  * Disabled OpenVR support since it depends on OpenVR library version 2.x.x
    not in Debian yet, removed libopenvr-dev from build dependencies
  * Modified build-dep from pkg-config to pkgconf
  * Added: libeis-dev, libxcb-errors-dev, libx11-xcb-dev, libpixman-1-dev,
           libseat-dev, libinput-dev, xwayland, libxcb-composite0-dev, 
           libxcb-ewmh-dev, libxcb-icccm4-dev, libxcb-res0-dev,
           libxcb-xfixes0-dev, libxcb-xinput-dev, libxcb-render-util0-dev,
           libxcb-composite0-dev, libxcb-dri3-dev, libxcb-image0-dev,
           libxcb-present-dev, libxcb-render0-dev, libxcb-render-util0-dev,
           libxcb-shm0-dev, cmake, libavif-dev to build dependencies

 -- Safir Secerovic <sapphire@linux.org.ba>  Fri, 30 Aug 2024 22:24:23 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  meson,
- pkg-config,
+ pkgconf,
  libx11-dev,
  libxdamage-dev,
  libxcomposite-dev,
@@ -28,16 +28,39 @@
  libcap-dev,
  libsdl2-dev,
  libstb-dev,
- libwlroots-dev,
+ libwlroots-0.18-dev (>= 0.18.0),
  libliftoff-dev,
  glslang-tools,
  hwdata,
- vkroots-headers,
- libopenvr-dev,
+ vkroots-headers (>= 0~202404300106git5106d8a),
  libglm-dev,
  libxmu-dev,
  libdisplay-info-dev,
  libbenchmark-dev,
+ spirv-headers,
+ libeis-dev,
+ libxcb-errors-dev,
+ libx11-xcb-dev,
+ libpixman-1-dev,
+ libseat-dev,
+ libinput-dev,
+ xwayland,
+ libxcb-composite0-dev,
+ libxcb-ewmh-dev,
+ libxcb-icccm4-dev,
+ libxcb-res0-dev,
+ libxcb-xfixes0-dev,
+ libxcb-xinput-dev,
+ libxcb-render-util0-dev,
+ libxcb-composite0-dev,
+ libxcb-dri3-dev,
+ libxcb-image0-dev,
+ libxcb-present-dev,
+ libxcb-render0-dev,
+ libxcb-render-util0-dev,
+ libxcb-shm0-dev,
+ cmake,
+ libavif-dev,
 Standards-Version: 4.6.2
 Homepage: https://github.com/Plagman/gamescope
 Vcs-Browser: https://salsa.debian.org/games-team/gamescope

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--bindir /usr/games \
-		-Dpipewire=enabled
+		-Dpipewire=enabled \
+                -Denable_openvr_support=false

## gamescope 3.15.13

=== debian/changelog ===
gamescope (3.15.13-2) unstable; urgency=medium

  * Add seatd dependency into debian/control as mentioned in -1
  * Add pipewire-audio to Suggests for gamescope binary

 -- Safir Secerovic <sapphire@linux.org.ba>  Sun, 20 Oct 2024 07:20:46 -0600

gamescope (3.15.13-1) unstable; urgency=medium

  * New upstream version 3.15.13 (closes: bug#1058493, bug#1074130)
  * Updated Standards-Version: 4.7.0 - no changes required
  * Added seatd to Recommends section for gamescope binary package

 -- Safir Secerovic <sapphire@linux.org.ba>  Sat, 19 Oct 2024 08:41:25 -0600

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  libsdl2-dev,
  libstb-dev,
  libwlroots-0.18-dev (>= 0.18.0),
- libliftoff-dev,
+ libliftoff-dev (>= 0.5.0),
  glslang-tools,
  hwdata,
  vkroots-headers (>= 0~202404300106git5106d8a),
@@ -61,7 +61,7 @@
  libxcb-shm0-dev,
  cmake,
  libavif-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Plagman/gamescope
 Vcs-Browser: https://salsa.debian.org/games-team/gamescope
 Vcs-Git: https://salsa.debian.org/games-team/gamescope.git
@@ -72,8 +72,10 @@
  ${shlibs:Depends},
  ${misc:Depends},
  xwayland,
+Recommends:
+ seatd,
 Suggests:
- libcap2-bin,
+ libcap2-bin, pipewire-audio,
 Description: Micro-compositor for game scaling
  Gamescope wraps your games to give them scaling and fullscreen options. It
  provides a Wayland compositor to your games, but gamescope runs under both

## gamescope 3.16.1

=== debian/changelog ===
gamescope (3.16.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.16.1
  * Refresh patches
  * Add build-dep on libluajit-5.1-dev
    -> this means no more support for ppc64el
  * Sort the huge list of dependecies with debputy

  [ Phil Morrell ]
  * Use canonical team address

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 13:34:00 +0100

=== debian/control ===
Source: gamescope
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Stephan Lachnit <stephanlachnit@debian.org>,
 Safir Secerovic <sapphire@linux.org.ba>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 glslang-tools,
 hwdata,
 libavif-dev,
 libbenchmark-dev,
 libcap-dev,
 libdisplay-info-dev,
 libdrm-dev,
 libeis-dev,
 libglm-dev,
 libinput-dev,
 libliftoff-dev (>= 0.5.0),
 libluajit-5.1-dev,
 libpipewire-0.3-dev,
 libpixman-1-dev,
 libsdl2-dev,
 libseat-dev,
 libstb-dev,
 libvulkan-dev,
 libwayland-dev,
 libwlroots-0.18-dev (>= 0.18.0),
 libx11-dev,
 libx11-xcb-dev,
 libxcb-composite0-dev,
 libxcb-composite0-dev,
 libxcb-dri3-dev,
 libxcb-errors-dev,
 libxcb-ewmh-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-render-util0-dev,
 libxcb-render-util0-dev,
 libxcb-render0-dev,
 libxcb-res0-dev,
 libxcb-shm0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libxcb1-dev,
 libxcomposite-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxkbcommon-dev,
 libxmu-dev,
 libxrender-dev,
 libxres-dev,
 libxtst-dev,
 libxxf86vm-dev,
 meson,
 pkgconf,
 spirv-headers,
 vkroots-headers (>= 0~202404300106git5106d8a),
 wayland-protocols,
 xwayland,
Standards-Version: 4.7.0
Homepage: https://github.com/Plagman/gamescope
Vcs-Browser: https://salsa.debian.org/games-team/gamescope
Vcs-Git: https://salsa.debian.org/games-team/gamescope.git
X-Style: black

Package: gamescope
Architecture: any
Depends:
 xwayland,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 seatd,
Suggests:
 libcap2-bin,
 pipewire-audio,
Description: Micro-compositor for game scaling
 Gamescope wraps your games to give them scaling and fullscreen options. It
 provides a Wayland compositor to your games, but gamescope runs under both
 Wayland and X.org.
 .
 Your game sees a virtual display at the resolution you specified. You see a
 scaled view in a window or fullscreen. This is useful when either the game or
 your system do not permit running the game at native window/screen sizes. You
 can also use integer scaling to keep your pixels sharp and pixelated.

## gamescope 3.16.14

=== debian/changelog ===
gamescope (3.16.14-1deepin1) unstable; urgency=medium

  * Desuger std::format

 -- Cryolitia <cryolitia@deepin.org>  Mon, 07 Jul 2025 15:49:28 +0800

gamescope (3.16.14-1) unstable; urgency=medium

  * New upstream version 3.16.14 (Closes: bug#1104410)
  * Add libudev-dev dependency
  * Remove duplicate dependencies
  * Change glm and stb from subproject to dependency
  * Update upstream links
  * Standards-Version: 4.7.2
  * Update some licenses in copyright

 -- Ilya Orlov <ilyaorlov124@gmail.com>  Sat, 05 Jul 2025 01:45:13 +0500

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Stephan Lachnit <stephanlachnit@debian.org>,
  Safir Secerovic <sapphire@linux.org.ba>,
+ Ilya Orlov <ilyaorlov124@gmail.com>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -26,12 +27,12 @@
  libsdl2-dev,
  libseat-dev,
  libstb-dev,
+ libudev-dev,
  libvulkan-dev,
  libwayland-dev,
  libwlroots-0.18-dev (>= 0.18.0),
  libx11-dev,
  libx11-xcb-dev,
- libxcb-composite0-dev,
  libxcb-composite0-dev,
  libxcb-dri3-dev,
  libxcb-errors-dev,
@@ -39,7 +40,6 @@
  libxcb-icccm4-dev,
  libxcb-image0-dev,
  libxcb-present-dev,
- libxcb-render-util0-dev,
  libxcb-render-util0-dev,
  libxcb-render0-dev,
  libxcb-res0-dev,
@@ -63,8 +63,8 @@
  vkroots-headers (>= 0~202404300106git5106d8a),
  wayland-protocols,
  xwayland,
-Standards-Version: 4.7.0
-Homepage: https://github.com/Plagman/gamescope
+Standards-Version: 4.7.2
+Homepage: https://github.com/ValveSoftware/gamescope
 Vcs-Browser: https://salsa.debian.org/games-team/gamescope
 Vcs-Git: https://salsa.debian.org/games-team/gamescope.git
 X-Style: black

## gamescope 3.16.15

=== debian/changelog ===
gamescope (3.16.15-2) unstable; urgency=medium

  * d/control: remove Rules-Requires-Root
  * Import upstream patch (Closes: #1110646)
    https://github.com/ValveSoftware/gamescope/pull/1867

 -- Ilya Orlov <ilyaorlov124@gmail.com>  Sat, 09 Aug 2025 20:58:37 +0500

gamescope (3.16.15-1) unstable; urgency=medium

  * New upstream version 3.16.15

 -- Ilya Orlov <ilyaorlov124@gmail.com>  Sun, 03 Aug 2025 03:32:52 +0500

gamescope (3.16.14-2) unstable; urgency=medium

  * Import upstream patch (Closes: bug#1104156)
    https://github.com/ValveSoftware/gamescope/pull/1826
  * Cleanup reshade patch
  * Update copyright and add config for lrc

 -- Ilya Orlov <ilyaorlov124@gmail.com>  Tue, 08 Jul 2025 21:51:36 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Stephan Lachnit <stephanlachnit@debian.org>,
  Safir Secerovic <sapphire@linux.org.ba>,
  Ilya Orlov <ilyaorlov124@gmail.com>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  cmake,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s%@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/ValveSoftware/gamescope/tags?per_page=100 \
https://api.github.com/repos/ValveSoftware/gamescope/tarball/refs/tags/@ANY_VERSION@

## gamescope 3.16.19

=== debian/changelog ===
gamescope (3.16.19-0ubuntu1) resolute; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream version 3.16.19
  * d/p: Refresh and drop merged ones
  * debian/gbp.conf: Add postimport hook to write changelog entry
  * debian/gbp.conf: Do not use patch numbers by default
  * d/p: Include upstream-proposed patches to gracefully remove signals.
    Ensure that whenever a wlr structure is closed there are no connections
    left or potential leaks, as this is now breaking gamescope with
    wlroots-0.19

  [ Ilya Orlov ]
  * d/control: add mangoapp to Suggests
  * Re-enable reprotest in salsa
  * Use dpkg-parsechangelog to get version during build
  * Fix for armel build
  * d/copyright: Rename MIT to Expat, update copyright
  * salsa-ci: enable licenserecon job
  * Restore OpenVR backend
  * Transition to wlroots 0.19 (Closes: #1116568)
  * Move to watch v5 and remove reshade patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 09 Feb 2026 17:51:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gamescope
 Section: contrib/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Stephan Lachnit <stephanlachnit@debian.org>,
  Safir Secerovic <sapphire@linux.org.ba>,
@@ -21,6 +22,7 @@
  libinput-dev,
  libliftoff-dev (>= 0.5.0),
  libluajit-5.1-dev,
+ libopenvr-dev (>= 2.7),
  libpipewire-0.3-dev,
  libpixman-1-dev,
  libsdl2-dev,
@@ -29,7 +31,7 @@
  libudev-dev,
  libvulkan-dev,
  libwayland-dev,
- libwlroots-0.18-dev (>= 0.18.0),
+ libwlroots-0.19-dev,
  libx11-dev,
  libx11-xcb-dev,
  libxcb-composite0-dev,
@@ -78,6 +80,7 @@
  seatd,
 Suggests:
  libcap2-bin,
+ mangoapp,
  pipewire-audio,
 Description: Micro-compositor for game scaling
  Gamescope wraps your games to give them scaling and fullscreen options. It

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir /usr/games \
		-Dpipewire=enabled

=== debian/watch ===
Version: 5
Mode: git
Git-Modules: src/reshade
Source: https://github.com/ValveSoftware/gamescope.git
Matching-Pattern: refs/tags/@SEMANTIC_VERSION@
